Last Comment Bug 792062 - Make the tabNavigated notification reusable by the Web Console
: Make the tabNavigated notification reusable by the Web Console
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: Firefox 20
Assigned To: Mihai Sucan [:msucan]
:
Mentors:
Depends on: 768096
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 08:26 PDT by Mihai Sucan [:msucan]
Modified: 2012-12-19 00:09 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
proposed patch (40.93 KB, patch)
2012-12-12 08:38 PST, Mihai Sucan [:msucan]
no flags Details | Diff | Splinter Review
Protocol log (1.16 KB, text/plain)
2012-12-12 09:06 PST, Panos Astithas [:past]
no flags Details
fixed patch (41.70 KB, patch)
2012-12-17 12:27 PST, Mihai Sucan [:msucan]
past: review+
Details | Diff | Splinter Review

Description Mihai Sucan [:msucan] 2012-09-18 08:26:29 PDT
We need tabNavigated to fire at the start and end of a location change.

For details see bug 768096 comment 36.
Comment 1 Mihai Sucan [:msucan] 2012-11-30 09:34:09 PST
First patch is here:
https://github.com/joewalker/devtools-window/pull/320
Comment 2 Mihai Sucan [:msucan] 2012-12-12 08:38:27 PST
Created attachment 691374 [details] [diff] [review]
proposed patch

This is the patch from the pull request.

Try run:
https://tbpl.mozilla.org/?tree=Try&rev=b1482f94a839

Please let me know if further changes are needed. Thank you!
Comment 3 Panos Astithas [:past] 2012-12-12 08:46:29 PST
Testing Fennec almost everything seems to work OK, except the following message:

Connection timeout. Check the Error Console on both ends for potential error messages. Reopen the Web Console to try again.

This appears in the web console a few seconds after connecting to Fennec. It also appears after connecting a patched web console to an unpatched Fennec nightly, so I'm guessing the frontend code is at fault. Nothing is present in the browser's error console and I don't see anything relevant in adb logcat, but I might need to flip some prefs there. Any idea where to look next?
Comment 4 Mihai Sucan [:msucan] 2012-12-12 08:49:09 PST
Connection timeout message shows only if WCCP_connect doesn't finish. It attaches to a tab and to a console actor. Maybe one of these fail?
Comment 5 Panos Astithas [:past] 2012-12-12 09:06:36 PST
Created attachment 691387 [details]
Protocol log

I see both tabAttached and startedListeners responses. And the console seems to work fine despite that message (autocompletion, evaluation, etc.).
Comment 6 Mihai Sucan [:msucan] 2012-12-12 09:27:07 PST
Thanks. I'll look into this. Working on building Fennec here.
Comment 7 Mihai Sucan [:msucan] 2012-12-17 12:27:54 PST
Created attachment 693063 [details] [diff] [review]
fixed patch

Fixed it. Should work now with Fennec. Tested on my system with B2G Desktop and Fennec on Android (emulator). I missed a callback.

Please double-check and also verify that the debugger is unaffected.

I'd like to land this patch ASAP. Thank you!
Comment 8 Panos Astithas [:past] 2012-12-18 06:12:05 PST
Comment on attachment 693063 [details] [diff] [review]
fixed patch

Review of attachment 693063 [details] [diff] [review]:
-----------------------------------------------------------------

Yep, seems fixed now. Let's land this puppy!
Comment 9 Mihai Sucan [:msucan] 2012-12-18 07:45:42 PST
Landed:
https://hg.mozilla.org/integration/fx-team/rev/8ba98799b6bb

Thank you!
Comment 10 Panos Astithas [:past] 2012-12-19 00:09:53 PST
https://hg.mozilla.org/mozilla-central/rev/8ba98799b6bb

Note You need to log in before you can comment on or make changes to this bug.